import { App } from 'vue';
import { Component } from 'vue';
import { ComponentOptionsMixin } from 'vue';
import { ComponentProvideOptions } from 'vue';
import { DefineComponent } from 'vue';
import { PublicProps } from 'vue';

export declare function createApp(rootComponent: any, config?: WrapperConfig): App;

export declare interface FeatureModule {
    name: string;
    component: Component;
    routes?: Array<{
        path: string;
        component: Component;
    }>;
    setup?: () => Promise<void>;
}

export declare const FrameworkWrapper: DefineComponent<    {}, void, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;

export declare function loadFeature(featureName: string): Promise<any>;

declare interface WrapperConfig {
    features?: string[];
    theme?: {
        primary: string;
        secondary: string;
    };
}

export { }
